# Uses of Interface
org.astrogrid.samp.httpd.ServerResource

Packages that use ServerResource
Package
Description
org.astrogrid.samp.httpd
Standalone HTTP server.
org.astrogrid.samp.web
Classes relating to the SAMP Web Profile.

## Uses of ServerResource in org.astrogrid.samp.httpd

Methods in org.astrogrid.samp.httpd with parameters of type ServerResource
Modifier and Type
Method
Description
`URL`
ResourceHandler.`addResource(String name, ServerResource resource)`
Adds a resource to this server.

## Uses of ServerResource in org.astrogrid.samp.web

Constructors in org.astrogrid.samp.web with parameters of type ServerResource
Modifier
Constructor
Description
``
`OpenPolicyResourceHandler(String policyPath, ServerResource policyResource, OriginAuthorizer authorizer)`
Constructor.